
QuickSlotGenericButton = class( Turbine.UI.Lotro.Quickslot );

function QuickSlotGenericButton:Constructor(parent, width, height, x, y, alias, backImage, frontTxt)
	Turbine.UI.Lotro.Quickslot.Constructor( self );

	self:SetParent(parent);
	self:SetSize(width, height);
	self:SetPosition(x, y);
	self:SetZOrder(9999);
	self:SetBackColor(Turbine.UI.Color( 1, 223/255, 0 ));
	self:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, alias));
	self:SetAllowDrop(false);
	--self:SetEnabled(true);
	
	self.ShortcutChanged = function()
		if(self:GetShortcut()==nil or self:GetShortcut():GetData()=="") then
			self:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, alias));
		end
	end
	self.mask = Turbine.UI.Control();
	self.mask:SetParent(parent);
	self.mask:SetSize(self:GetSize());
	self.mask:SetPosition(self:GetLeft(),self:GetTop());
	self.mask:SetBackColor(Turbine.UI.Color( 0, 0, 0));
	self.mask:SetMouseVisible(false);
	self.mask:SetZOrder(10000);
	self.cosmeticLbl= Turbine.UI.Label()
	self.cosmeticLbl:SetParent(self.mask);
	self.cosmeticLbl:SetPosition(1,1);
	self.cosmeticLbl:SetSize(self.mask:GetWidth()-2, self.mask:GetHeight()-2);
	self.cosmeticLbl:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
	self.cosmeticLbl:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.cosmeticLbl:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.cosmeticLbl:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.cosmeticLbl:SetBackground( backImage);
	self.cosmeticLbl:SetMouseVisible(false);
	self.cosmeticLbl:SetZOrder(10001);
	self.cosmeticLbl:SetText(frontTxt);
end

function QuickSlotGenericButton:UpdatePosition(x, y)
	self:SetPosition(x, y);
	self.mask:SetPosition(x, y);
end